NestedGreaterEqualTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.nested.logic.NestedGreaterEqualTag,NestedGreaterEqualTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested.logic
Class NestedGreaterEqualTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.logic.ConditionalTagBase
                  |
                  +--org.apache.struts.taglib.logic.CompareTagBase
                        |
                        +--org.apache.struts.taglib.logic.GreaterEqualTag
                              |
                              +--org.apache.struts.taglib.nested.logic.NestedGreaterEqualTag

All Implemented Interfaces:
  NestedNameSupport, NestedPropertySupport, NestedTagSupport, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class NestedGreaterEqualTag
extends GreaterEqualTag
implements NestedNameSupport

NestedGreaterEqualTag.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-26 14:10:07 +0100 (Tue, 26 Aug 2003) $
Author:
  Arron Bates
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `originalName`
`private java.lang.String` | `originalProperty`

Fields inherited from class org.apache.struts.taglib.logic.CompareTagBase
`DOUBLE_COMPARE, LONG_COMPARE, messages, STRING_COMPARE, value`

Fields inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`cookie, header, name, parameter, property, role, scope, user`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedGreaterEqualTag()`

Method Summary
`int` | `doEndTag()` Complete the processing of the tag.
`int` | `doStartTag()` Overriding method of the heart of the matter.
`void` | `release()` Release the tag's resources and reset the values.

Methods inherited from class org.apache.struts.taglib.logic.GreaterEqualTag
`condition`

Methods inherited from class org.apache.struts.taglib.logic.CompareTagBase
`condition, getValue, setValue`

Methods inherited from class org.apache.struts.taglib.logic.ConditionalTagBase
`getCookie, getHeader, getName, getParameter, getProperty, getRole, getScope, getUser, setCookie, setHeader, setName, setParameter, setProperty, setRole, setScope, setUser`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.struts.taglib.nested.NestedNameSupport
`getName, setName`

Methods inherited from interface org.apache.struts.taglib.nested.NestedPropertySupport
`getProperty, setProperty`

Field Detail

### originalName

    private java.lang.String originalName

### originalProperty

    private java.lang.String originalProperty

Constructor Detail

### NestedGreaterEqualTag

    public NestedGreaterEqualTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overriding method of the heart of the matter. Gets the relative property and leaves the rest up to the original tag implementation. Sweet.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `ConditionalTagBase`
  Returns:
    int JSP continuation directive. This is in the hands of the super class.
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception occurs

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Complete the processing of the tag. The nested tags here will restore all the original value for the tag itself and the nesting context.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `ConditionalTagBase`
  Returns:
    int to describe the next step for the JSP processor
  Throws:
    `javax.servlet.jsp.JspException` - for the bad things JSP's do

### release

    public void release()

  Release the tag's resources and reset the values.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `CompareTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation